Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456563 - iwl4965 "Microcode SW error detected" -> Wireless Networking Dies...
Summary: iwl4965 "Microcode SW error detected" -> Wireless Networking Dies...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iwl4965-firmware
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 17:54 UTC by Peter Blomgren
Modified: 2008-07-27 11:02 UTC (History)
2 users (show)

Fixed In Version: 228.57.2.21-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-27 11:02:30 UTC


Attachments (Terms of Use)

Description Peter Blomgren 2008-07-24 17:54:35 UTC
Description of problem:
iwl4965 "Microcode SW error detected" -> Wireless Networking Dies...

Version-Release number of selected component (if applicable):
kernel-2.6.25.10-86.fc9.x86_64
(also NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64)

How reproducible:
Intermittent, after 30-60 minutes...

Steps to Reproduce:
1. Connect to wireless network
2. Use network
3. after random time-interval: network dies...
  
Actual results:
Network hangs.

Expected results:
Network operable.

Additional info:

Jul 24 10:25:57 Arcturus kernel: iwl4965: Microcode SW error detected. 
Restarting 0x2000000.
Jul 24 10:25:59 Arcturus dhclient: DHCPREQUEST on wlan0 to 164.67.62.71 port 67
Jul 24 10:26:00 Arcturus kernel: iwl4965: Microcode SW error detected. 
Restarting 0x82000000.
Jul 24 10:26:00 Arcturus kernel: iwl4965: Error sending TX power (-5)
Jul 24 10:26:00 Arcturus kernel: iwl4965: Error sending
REPLY_CT_KILL_CONFIG_CMD: time out after 500ms.
Jul 24 10:26:00 Arcturus kernel: iwl4965: REPLY_CT_KILL_CONFIG_CMD failed
Jul 24 10:26:00 Arcturus kernel: Registered led device: iwl-phy0:radio
Jul 24 10:26:00 Arcturus kernel: Registered led device: iwl-phy0:assoc
Jul 24 10:26:00 Arcturus kernel: Registered led device: iwl-phy0:RX
Jul 24 10:26:00 Arcturus kernel: Registered led device: iwl-phy0:TX
Jul 24 10:26:01 Arcturus kernel: iwl4965: Error sending REPLY_RXON: time out
after 500ms.
Jul 24 10:26:01 Arcturus kernel: iwl4965: Error setting new RXON (-110)
Jul 24 10:26:01 Arcturus kernel: iwl4965: Error sending REPLY_ADD_STA: time out
after 500ms.
Jul 24 10:26:04 Arcturus kernel: iwl4965: Error sending REPLY_RXON: time out
after 500ms.
Jul 24 10:26:04 Arcturus kernel: iwl4965: Error setting new RXON (-110)
Jul 24 10:26:04 Arcturus kernel: Registered led device: iwl-phy0:radio
Jul 24 10:26:04 Arcturus kernel: Registered led device: iwl-phy0:assoc
Jul 24 10:26:04 Arcturus kernel: Registered led device: iwl-phy0:RX
Jul 24 10:26:04 Arcturus kernel: Registered led device: iwl-phy0:TX

then... repeat, ad nauseum:

Jul 24 10:26:04 Arcturus NetworkManager: <info>  (wlan0): supplicant connection
state change: 7 -> 4
Jul 24 10:26:04 Arcturus NetworkManager: <info>  (wlan0): supplicant connection
state change: 4 -> 7
Jul 24 10:26:08 Arcturus NetworkManager: <info>  (wlan0): supplicant connection
state change: 7 -> 0
Jul 24 10:26:08 Arcturus NetworkManager: <info>  (wlan0): supplicant connection
state change: 0 -> 2
Jul 24 10:26:11 Arcturus dhclient: DHCPREQUEST on wlan0 to 164.67.62.71 port 67

Comment 1 Denis Leroy 2008-07-25 06:55:04 UTC
similar problem here on i386, kernel-2.6.25.11-97.fc9.i686 :'

Jul 25 08:41:11 jupiler kernel: iwl4965: iwlwifi-4965-2.ucode firmware file req
failed: Reason -2
Jul 25 08:41:11 jupiler kernel: iwl4965: Could not read microcode: -2


Reverting back to kernel-2.6.25.10-86.fc9.i686 fixes it.


Comment 2 Nils Philippsen 2008-07-25 09:23:53 UTC
(In reply to comment #1)
> similar problem here on i386, kernel-2.6.25.11-97.fc9.i686 :'
> 
> Jul 25 08:41:11 jupiler kernel: iwl4965: iwlwifi-4965-2.ucode firmware file req
> failed: Reason -2
> Jul 25 08:41:11 jupiler kernel: iwl4965: Could not read microcode: -2

Updating to iwl4965-firmware-228.57.2.21-2 from Rawhide provides the new
firmware version.

Comment 3 John W. Linville 2008-07-26 01:42:29 UTC
Clearly we need a build of this package for f8/f9...

Comment 4 Nicolas Chauvet (kwizart) 2008-07-27 11:02:30 UTC
This is done but for some reason, it didn't hit the F-9 stable repository at the
same time as the F-8 built. (inheritance problem )
See: https://fedorahosted.org/rel-eng/ticket/751

The iwl4965-firmware-228.57.2.21-1 package has now hit F-9 stable.
Should be OK


Note You need to log in before you can comment on or make changes to this bug.